Package org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl

## Class DifferenceGroupDescriptorWrapper

- java.lang.Object
- - org.eclipse.emf.compare.rcp.internal.extension.impl.AbstractItemDescriptor<IDifferenceGroupProvider.Descriptor>
  - - org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl.DifferenceGroupDescriptorWrapper

All Implemented Interfaces:
  `Comparable<IItemDescriptor<IDifferenceGroupProvider.Descriptor>>`, `IItemDescriptor<IDifferenceGroupProvider.Descriptor>`, `IDifferenceGroupProvider.Descriptor`

    public class DifferenceGroupDescriptorWrapper
    extends AbstractItemDescriptor<IDifferenceGroupProvider.Descriptor>
    implements IDifferenceGroupProvider.Descriptor

Implementation of `IDifferenceGroupProvider.Descriptor`.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups.IDifferenceGroupProvider.Descriptor

`IDifferenceGroupProvider.Descriptor.Registry`

### Field Summary

### Fields inherited from class org.eclipse.emf.compare.rcp.internal.extension.impl.AbstractItemDescriptor

`EMPTY_STRING`

### Constructor Summary

Constructors
`DifferenceGroupDescriptorWrapper​(String label, String description, org.eclipse.core.runtime.IConfigurationElement elem, int rank, IDifferenceGroupProvider.ComparisonType comparisonType)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`IDifferenceGroupProvider` `createGroupProvider()` Creates a group provider.
`IDifferenceGroupProvider.Descriptor` `getItem()` Get an instance of an item.
`IDifferenceGroupProvider.ComparisonType` `getType()` Return the type of Comparison this group provider can handle.

### Methods inherited from class org.eclipse.emf.compare.rcp.internal.extension.impl.AbstractItemDescriptor

`compareTo, getDescription, getID, getItemFunction, getLabel, getRank, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups.IDifferenceGroupProvider.Descriptor

`getDescription, getLabel, getRank`

### Constructor Detail

#### DifferenceGroupDescriptorWrapper

    public DifferenceGroupDescriptorWrapper​(String label,
                                            String description,
                                            org.eclipse.core.runtime.IConfigurationElement elem,
                                            int rank,
                                            IDifferenceGroupProvider.ComparisonType comparisonType)

Constructor.

Parameters:
  `label` - Human-readable label of the underlying group provider.
  `description` - A more detailed description that can be displayed to the user for this group.
  `elem` - `IConfigurationElement` used to instantiate the `IDifferenceGroupProvider`
  `rank` - Rank of the descriptor
  `comparisonType` - Type of comparison the wrapped `IDifferenceGroupProvider` can handle.

### Method Detail

#### getItem

    public IDifferenceGroupProvider.Descriptor getItem()

Get an instance of an item.

Specified by:
  `getItem` in interface `IItemDescriptor<IDifferenceGroupProvider.Descriptor>`
Returns:
  an instance of an item

#### getType

    public IDifferenceGroupProvider.ComparisonType getType()

Return the type of Comparison this group provider can handle.

Specified by:
  `getType` in interface `IDifferenceGroupProvider.Descriptor`
Returns:
  `IDifferenceGroupProvider.ComparisonType`

#### createGroupProvider

    public IDifferenceGroupProvider createGroupProvider()

Creates a group provider.

Specified by:
  `createGroupProvider` in interface `IDifferenceGroupProvider.Descriptor`
Returns:
  the newly created group provider or null if error.